Package com.independentsoft.office.spreadsheet.extensions

# Class X14SparklineGroup

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14SparklineGroup

public class X14SparklineGroup extends Object
Represents a sparkline group (x14:sparklineGroup element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14SparklineGroup()`
  Instantiates a new x14 sparkline group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14SparklineGroup`
  `clone()`
  `X14Color`
  `getColorAxis()`
  Gets the axis color.
  `X14Color`
  `getColorFirst()`
  Gets the color of the first value.
  `X14Color`
  `getColorHigh()`
  Gets the color of the highest value.
  `X14Color`
  `getColorLast()`
  Gets the color of the last value.
  `X14Color`
  `getColorLow()`
  Gets the color of the lowest value.
  `X14Color`
  `getColorMarkers()`
  Gets the marker color.
  `X14Color`
  `getColorNegative()`
  Gets the color for negative values.
  `X14Color`
  `getColorSeries()`
  Gets the series color.
  `Boolean`
  `getDateAxis()`
  Gets whether the horizontal axis is a date axis.
  `String`
  `getDisplayEmptyCellsAs()`
  Gets how empty cells are displayed ("gap", "zero" or "span").
  `Boolean`
  `getDisplayHidden()`
  Gets whether data in hidden cells is plotted.
  `Boolean`
  `getDisplayXAxis()`
  Gets whether the horizontal axis is displayed.
  `Boolean`
  `getFirst()`
  Gets whether the first value is highlighted.
  `String`
  `getFormula()`
  Gets the date range formula of the date axis (xm:f element).
  `Boolean`
  `getHigh()`
  Gets whether the highest value is highlighted.
  `Boolean`
  `getLast()`
  Gets whether the last value is highlighted.
  `Double`
  `getLineWeight()`
  Gets the line weight in points.
  `Boolean`
  `getLow()`
  Gets whether the lowest value is highlighted.
  `Double`
  `getManualMax()`
  Gets the manual maximum of the vertical axis.
  `Double`
  `getManualMin()`
  Gets the manual minimum of the vertical axis.
  `Boolean`
  `getMarkers()`
  Gets whether data markers are shown.
  `String`
  `getMaxAxisType()`
  Gets the vertical axis maximum type ("individual", "group" or "custom").
  `String`
  `getMinAxisType()`
  Gets the vertical axis minimum type ("individual", "group" or "custom").
  `Boolean`
  `getNegative()`
  Gets whether negative values are highlighted.
  `Boolean`
  `getRightToLeft()`
  Gets whether the sparkline is drawn right-to-left.
  `List<X14Sparkline>`
  `getSparklines()`
  Gets the sparklines of the group.
  `String`
  `getType()`
  Gets the sparkline type ("line", "column" or "stacked").
  `void`
  `setColorAxis​(X14Color colorAxis)`
  Sets the axis color.
  `void`
  `setColorFirst​(X14Color colorFirst)`
  Sets the color of the first value.
  `void`
  `setColorHigh​(X14Color colorHigh)`
  Sets the color of the highest value.
  `void`
  `setColorLast​(X14Color colorLast)`
  Sets the color of the last value.
  `void`
  `setColorLow​(X14Color colorLow)`
  Sets the color of the lowest value.
  `void`
  `setColorMarkers​(X14Color colorMarkers)`
  Sets the marker color.
  `void`
  `setColorNegative​(X14Color colorNegative)`
  Sets the color for negative values.
  `void`
  `setColorSeries​(X14Color colorSeries)`
  Sets the series color.
  `void`
  `setDateAxis​(Boolean dateAxis)`
  Sets whether the horizontal axis is a date axis.
  `void`
  `setDisplayEmptyCellsAs​(String displayEmptyCellsAs)`
  Sets how empty cells are displayed ("gap", "zero" or "span").
  `void`
  `setDisplayHidden​(Boolean displayHidden)`
  Sets whether data in hidden cells is plotted.
  `void`
  `setDisplayXAxis​(Boolean displayXAxis)`
  Sets whether the horizontal axis is displayed.
  `void`
  `setFirst​(Boolean first)`
  Sets whether the first value is highlighted.
  `void`
  `setFormula​(String formula)`
  Sets the date range formula of the date axis (xm:f element).
  `void`
  `setHigh​(Boolean high)`
  Sets whether the highest value is highlighted.
  `void`
  `setLast​(Boolean last)`
  Sets whether the last value is highlighted.
  `void`
  `setLineWeight​(Double lineWeight)`
  Sets the line weight in points.
  `void`
  `setLow​(Boolean low)`
  Sets whether the lowest value is highlighted.
  `void`
  `setManualMax​(Double manualMax)`
  Sets the manual maximum of the vertical axis.
  `void`
  `setManualMin​(Double manualMin)`
  Sets the manual minimum of the vertical axis.
  `void`
  `setMarkers​(Boolean markers)`
  Sets whether data markers are shown.
  `void`
  `setMaxAxisType​(String maxAxisType)`
  Sets the vertical axis maximum type ("individual", "group" or "custom").
  `void`
  `setMinAxisType​(String minAxisType)`
  Sets the vertical axis minimum type ("individual", "group" or "custom").
  `void`
  `setNegative​(Boolean negative)`
  Sets whether negative values are highlighted.
  `void`
  `setRightToLeft​(Boolean rightToLeft)`
  Sets whether the sparkline is drawn right-to-left.
  `void`
  `setType​(String type)`
  Sets the sparkline type ("line", "column" or "stacked").
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14SparklineGroup

    public X14SparklineGroup()
    Instantiates a new x14 sparkline group.

- ## Method Details

  - ### clone

    public X14SparklineGroup clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getManualMax

    public Double getManualMax()
    Gets the manual maximum of the vertical axis.
    Returns:
      the manual maximum of the vertical axis

  - ### setManualMax

    public void setManualMax​(Double manualMax)
    Sets the manual maximum of the vertical axis.
    Parameters:
      `manualMax` - the new manual maximum of the vertical axis

  - ### getManualMin

    public Double getManualMin()
    Gets the manual minimum of the vertical axis.
    Returns:
      the manual minimum of the vertical axis

  - ### setManualMin

    public void setManualMin​(Double manualMin)
    Sets the manual minimum of the vertical axis.
    Parameters:
      `manualMin` - the new manual minimum of the vertical axis

  - ### getLineWeight

    public Double getLineWeight()
    Gets the line weight in points.
    Returns:
      the line weight in points

  - ### setLineWeight

    public void setLineWeight​(Double lineWeight)
    Sets the line weight in points.
    Parameters:
      `lineWeight` - the new line weight in points

  - ### getType

    public String getType()
    Gets the sparkline type ("line", "column" or "stacked").
    Returns:
      the sparkline type

  - ### setType

    public void setType​(String type)
    Sets the sparkline type ("line", "column" or "stacked").
    Parameters:
      `type` - the new sparkline type

  - ### getDateAxis

    public Boolean getDateAxis()
    Gets whether the horizontal axis is a date axis.
    Returns:
      whether the horizontal axis is a date axis

  - ### setDateAxis

    public void setDateAxis​(Boolean dateAxis)
    Sets whether the horizontal axis is a date axis.
    Parameters:
      `dateAxis` - the new date axis flag

  - ### getDisplayEmptyCellsAs

    public String getDisplayEmptyCellsAs()
    Gets how empty cells are displayed ("gap", "zero" or "span").
    Returns:
      how empty cells are displayed

  - ### setDisplayEmptyCellsAs

    public void setDisplayEmptyCellsAs​(String displayEmptyCellsAs)
    Sets how empty cells are displayed ("gap", "zero" or "span").
    Parameters:
      `displayEmptyCellsAs` - the new display empty cells as value

  - ### getMarkers

    public Boolean getMarkers()
    Gets whether data markers are shown.
    Returns:
      whether data markers are shown

  - ### setMarkers

    public void setMarkers​(Boolean markers)
    Sets whether data markers are shown.
    Parameters:
      `markers` - the new markers flag

  - ### getHigh

    public Boolean getHigh()
    Gets whether the highest value is highlighted.
    Returns:
      whether the highest value is highlighted

  - ### setHigh

    public void setHigh​(Boolean high)
    Sets whether the highest value is highlighted.
    Parameters:
      `high` - the new high flag

  - ### getLow

    public Boolean getLow()
    Gets whether the lowest value is highlighted.
    Returns:
      whether the lowest value is highlighted

  - ### setLow

    public void setLow​(Boolean low)
    Sets whether the lowest value is highlighted.
    Parameters:
      `low` - the new low flag

  - ### getFirst

    public Boolean getFirst()
    Gets whether the first value is highlighted.
    Returns:
      whether the first value is highlighted

  - ### setFirst

    public void setFirst​(Boolean first)
    Sets whether the first value is highlighted.
    Parameters:
      `first` - the new first flag

  - ### getLast

    public Boolean getLast()
    Gets whether the last value is highlighted.
    Returns:
      whether the last value is highlighted

  - ### setLast

    public void setLast​(Boolean last)
    Sets whether the last value is highlighted.
    Parameters:
      `last` - the new last flag

  - ### getNegative

    public Boolean getNegative()
    Gets whether negative values are highlighted.
    Returns:
      whether negative values are highlighted

  - ### setNegative

    public void setNegative​(Boolean negative)
    Sets whether negative values are highlighted.
    Parameters:
      `negative` - the new negative flag

  - ### getDisplayXAxis

    public Boolean getDisplayXAxis()
    Gets whether the horizontal axis is displayed.
    Returns:
      whether the horizontal axis is displayed

  - ### setDisplayXAxis

    public void setDisplayXAxis​(Boolean displayXAxis)
    Sets whether the horizontal axis is displayed.
    Parameters:
      `displayXAxis` - the new display x axis flag

  - ### getDisplayHidden

    public Boolean getDisplayHidden()
    Gets whether data in hidden cells is plotted.
    Returns:
      whether data in hidden cells is plotted

  - ### setDisplayHidden

    public void setDisplayHidden​(Boolean displayHidden)
    Sets whether data in hidden cells is plotted.
    Parameters:
      `displayHidden` - the new display hidden flag

  - ### getMinAxisType

    public String getMinAxisType()
    Gets the vertical axis minimum type ("individual", "group" or "custom").
    Returns:
      the vertical axis minimum type

  - ### setMinAxisType

    public void setMinAxisType​(String minAxisType)
    Sets the vertical axis minimum type ("individual", "group" or "custom").
    Parameters:
      `minAxisType` - the new vertical axis minimum type

  - ### getMaxAxisType

    public String getMaxAxisType()
    Gets the vertical axis maximum type ("individual", "group" or "custom").
    Returns:
      the vertical axis maximum type

  - ### setMaxAxisType

    public void setMaxAxisType​(String maxAxisType)
    Sets the vertical axis maximum type ("individual", "group" or "custom").
    Parameters:
      `maxAxisType` - the new vertical axis maximum type

  - ### getRightToLeft

    public Boolean getRightToLeft()
    Gets whether the sparkline is drawn right-to-left.
    Returns:
      whether the sparkline is drawn right-to-left

  - ### setRightToLeft

    public void setRightToLeft​(Boolean rightToLeft)
    Sets whether the sparkline is drawn right-to-left.
    Parameters:
      `rightToLeft` - the new right to left flag

  - ### getColorSeries

    public X14Color getColorSeries()
    Gets the series color.
    Returns:
      the series color

  - ### setColorSeries

    public void setColorSeries​(X14Color colorSeries)
    Sets the series color.
    Parameters:
      `colorSeries` - the new series color

  - ### getColorNegative

    public X14Color getColorNegative()
    Gets the color for negative values.
    Returns:
      the color for negative values

  - ### setColorNegative

    public void setColorNegative​(X14Color colorNegative)
    Sets the color for negative values.
    Parameters:
      `colorNegative` - the new color for negative values

  - ### getColorAxis

    public X14Color getColorAxis()
    Gets the axis color.
    Returns:
      the axis color

  - ### setColorAxis

    public void setColorAxis​(X14Color colorAxis)
    Sets the axis color.
    Parameters:
      `colorAxis` - the new axis color

  - ### getColorMarkers

    public X14Color getColorMarkers()
    Gets the marker color.
    Returns:
      the marker color

  - ### setColorMarkers

    public void setColorMarkers​(X14Color colorMarkers)
    Sets the marker color.
    Parameters:
      `colorMarkers` - the new marker color

  - ### getColorFirst

    public X14Color getColorFirst()
    Gets the color of the first value.
    Returns:
      the color of the first value

  - ### setColorFirst

    public void setColorFirst​(X14Color colorFirst)
    Sets the color of the first value.
    Parameters:
      `colorFirst` - the new color of the first value

  - ### getColorLast

    public X14Color getColorLast()
    Gets the color of the last value.
    Returns:
      the color of the last value

  - ### setColorLast

    public void setColorLast​(X14Color colorLast)
    Sets the color of the last value.
    Parameters:
      `colorLast` - the new color of the last value

  - ### getColorHigh

    public X14Color getColorHigh()
    Gets the color of the highest value.
    Returns:
      the color of the highest value

  - ### setColorHigh

    public void setColorHigh​(X14Color colorHigh)
    Sets the color of the highest value.
    Parameters:
      `colorHigh` - the new color of the highest value

  - ### getColorLow

    public X14Color getColorLow()
    Gets the color of the lowest value.
    Returns:
      the color of the lowest value

  - ### setColorLow

    public void setColorLow​(X14Color colorLow)
    Sets the color of the lowest value.
    Parameters:
      `colorLow` - the new color of the lowest value

  - ### getFormula

    public String getFormula()
    Gets the date range formula of the date axis (xm:f element).
    Returns:
      the date range formula of the date axis

  - ### setFormula

    public void setFormula​(String formula)
    Sets the date range formula of the date axis (xm:f element).
    Parameters:
      `formula` - the new date range formula of the date axis

  - ### getSparklines

    public List<X14Sparkline> getSparklines()
    Gets the sparklines of the group.
    Returns:
      the sparklines of the group